filename1='nikon.txt';
fp=fopen(filename1,'r');
i=1;zb=[];
while ~feof(fp)
    line=fgetl(fp);
    my=strfind(line,',');
    zb(i).dh=line(1:my(1)-1); 
    zb(i).x=str2num(line(my(1)+1:my(2)-1));
    zb(i).y=str2num(line(my(2)+1:my(3)-1));
    zb(i).h=str2num(line(my(3)+1:my(4)-1));
    zb(i).dm=line(my(4)+1:end);
    i=i+1;
end
fclose(fp);